> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Celsius To Fahrenheit

> Convert Celsius to Fahrenheit.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/convert/temperature/c-to-f
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/convert/temperature/c-to-f:
    get:
      tags:
        - Conversion Utilities
      summary: Celsius To Fahrenheit
      description: Convert Celsius to Fahrenheit.
      operationId: celsius_to_fahrenheit_v1_convert_temperature_c_to_f_get
      parameters:
        - name: celsius
          in: query
          required: true
          schema:
            type: number
            description: Temperature in Celsius
            title: Celsius
          description: Temperature in Celsius
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````